Redelegations queries redelegations of given address.

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Params
string
required

delegator_addr defines the delegator address to query for.

Query Params
string

src_validator_addr defines the validator address to redelegate from.

string

dst_validator_addr defines the validator address to redelegate to.

string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*